#
# spec file for package ghc-rest-gen
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name rest-gen
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.20.0.0
Release:        lp150.1.9
Summary:        Documentation and client generation from rest definition
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/8.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-HStringTemplate-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-base-compat-devel
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-code-builder-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-fclabels-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-haskell-src-exts-devel
BuildRequires:  ghc-hxt-devel
BuildRequires:  ghc-json-schema-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-rest-core-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-uniplate-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
%endif

%description
Documentation and client generation from rest definition.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/Docs
%dir %{_datadir}/%{pkg_name}-%{version}/Javascript
%dir %{_datadir}/%{pkg_name}-%{version}/Ruby
%{_datadir}/%{pkg_name}-%{version}/Docs/*.st
%{_datadir}/%{pkg_name}-%{version}/Docs/*.js
%{_datadir}/%{pkg_name}-%{version}/Docs/*.css
%{_datadir}/%{pkg_name}-%{version}/Javascript/prelude.js
%{_datadir}/%{pkg_name}-%{version}/Javascript/epilogue.js
%{_datadir}/%{pkg_name}-%{version}/Ruby/base.rb

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGELOG.md

%changelog
* Mon Apr 24 2017 psimons@suse.com
- Update to version 0.20.0.0 revision 8 with cabal2obs.
* Sun Mar 26 2017 psimons@suse.com
- Update to version 0.20.0.0 revision 7 with cabal2obs.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.20.0.0 revision 5 with cabal2obs.
* Wed Aug 17 2016 psimons@suse.com
- Update to version 0.19.0.3 revision 1 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.19.0.3 revision 0 with cabal2obs.
